Summary:       SELinux policies for tpm2-abrmd
Name:          tpm2-abrmd-selinux
Version:       2.3.1
Release:       5%{?dist}
License:       BSD
URL:           https://github.com/tpm2-software/tpm2-abrmd
Source0:       %{url}/archive/%{version}/tpm2-abrmd-%{version}.tar.gz

Patch3000:     selinux-allow-fwupd-to-communicate-with-tpm2-abrmd.patch
BuildRequires: make git pkgconfig(systemd) selinux-policy selinux-policy-devel selinux-policy-targeted

Requires: selinux-policy
Requires(post): selinux-policy-base
Requires(post): libselinux-utils
Requires(post): policycoreutils
Requires(post): policycoreutils-python-utils

BuildArch: noarch

%description
SELinux policy modules for tpm2-abrmd.

%prep
%autosetup -p1 -n tpm2-abrmd-%{version}

%build
pushd selinux
%make_build TARGET="tabrmd" SHARE="%{_datadir}"
popd

%install
pushd selinux
install -d %{buildroot}%{_datadir}/selinux/packages
install -d -p %{buildroot}%{_datadir}/selinux/devel/include/contrib
install -p -m 644 tabrmd.if %{buildroot}%{_datadir}/selinux/devel/include/contrib
install -m 0644 tabrmd.pp.bz2 %{buildroot}%{_datadir}/selinux/packages
popd

%check

%pre
%selinux_relabel_pre -s targeted

%post
%selinux_modules_install -s targeted %{_datadir}/selinux/packages/tabrmd.pp.bz2

%postun
if [ $1 -eq 0 ]; then
    %selinux_modules_uninstall -s targeted tabrmd
fi

%posttrans
%selinux_relabel_post -s targeted

%files
%license LICENSE
%{_datadir}/selinux/packages/tabrmd.pp.bz2
%{_datadir}/selinux/devel/include/contrib/tabrmd.if

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 Shuo Wang <abushwang@tencent.com> - 2.3.1-1
- initial build
